import os
import re

# Define the directory path
directory = '.'

# Loop through all files in the directory
for filename in os.listdir(directory):
    # Check if the file is a .java file
    if filename.endswith('.java'):
        # Construct the full file path
        filepath = os.path.join(directory, filename)

        # Read in the file
        with open(filepath, 'r') as file:
            filedata = file.read()

        # Extract the class name
        class_name = None
        for line in filedata.splitlines():
            if 'class ' in line:
                # Assuming class name follows 'class ' keyword
                class_name = line.split('class ')[1].split()[0]

        # Proceed with your process, using the class name if needed
        if class_name:
            print(f"Processing class: {class_name} in file: {filename}")

        # Replace the target string
        filedata = filedata.replace('javax.persistence', 'jakarta.persistence')
        filedata = filedata.replace('import org.hibernate.query.NativeQuery;', '')
        filedata = filedata.replace('Integer RowCount = (Integer) MyHSs.createSQLQuery(ls_SQLCommand).uniqueResult();', 'Integer RowCount = ((Long) MyHSs.createQuery(ls_SQLCommand,Long.class).uniqueResult()).intValue();')
        filedata = filedata.replace('Integer RowCount = (Integer) MyHSs.createSQLQuery(as_SQLCommand).uniqueResult();', 'Integer RowCount = ((Long) MyHSs.createQuery(ls_SQLCommand,Long.class).uniqueResult()).intValue();')
        filedata = filedata.replace(f'NativeQuery<{class_name}> query = MyHSs.createSQLQuery(ls_SQLCommand).addEntity({class_name}.class);', f'Query query = MyHSs.createQuery(ls_SQLCommand,{class_name}.class);')
        filedata = filedata.replace(f'NativeQuery<{class_name}> query = MyHSs.createSQLQuery(sb_SQLCommand).addEntity({class_name}.class);', f'Query query = MyHSs.createQuery(sb_SQLCommand,{class_name}.class);')
        filedata = filedata.replace(f'NativeQuery<{class_name}> query = MyHSs.createSQLQuery(sb_SQLCommand.toString()).addEntity({class_name}.class);', f'Query query = MyHSs.createQuery(sb_SQLCommand.toString(),{class_name}.class);')
        filedata = filedata.replace(f'List<{class_name}> {class_name}List = query.list();', f'@SuppressWarnings("unchecked")\n			List<{class_name}> {class_name}List = query.getResultList();')
        filedata = filedata.replace('query.uniqueResult();', 'query.getSingleResult();')

        filedata = filedata.replace(f'Query query = MyHSs.createSQLQuery(ls_SQLCommand).setResultTransformer(Transformers.aliasToBean(esi.examwh.bl.examform.{class_name}.class));', f'TypedQuery<{class_name}> query = MyHSs.createNativeQuery(ls_SQLCommand, {class_name}.class);\n			List<{class_name}> results = query.getResultList();')
        filedata = filedata.replace('query.list();', 'query.getResultList();')


        # Write the file out again
        with open(filepath, 'w') as file:
            file.write(filedata)
